Skip to main content

0.01 credits per call

getClusterNodes on Solana: Returns information about all nodes participating in the cluster.

Endpoint

https://rpc.goldrushdata.com/v1/solana-mainnet
Authenticate with Authorization: Bearer <GOLDRUSH_API_KEY>. See authentication.

Parameters

This method takes no parameters.

Returns

array<object>: Array of {pubkey, gossip, tpu, rpc, version, featureSet, shredVersion}.
[{"pubkey":"2r1F4i...","gossip":"10.0.0.1:8001","tpu":"10.0.0.1:8004","rpc":null,"version":"2.1.11"}]

Examples

curl https://rpc.goldrushdata.com/v1/solana-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getClusterNodes",
    "params": []
  }'

Errors

Standard JSON-RPC errors: -32600 invalid request, -32601 method not found, -32602 invalid params.